From 95e74b38c98ab2ab5c9296e441b2c0a7ab325a5b Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 15 2020 04:16:22 +0000
Subject: [PATCH 1389/2232] Allow pushing arbitrary bytes to CxxString


---

diff --git a/src/cxx_string.rs b/src/cxx_string.rs
index dd53adc..5010175 100644
--- a/src/cxx_string.rs
+++ b/src/cxx_string.rs
@@ -87,7 +87,12 @@ impl CxxString {
 
     /// Appends a given string slice onto the end of this C++ string.
     pub fn push_str(&mut self, s: &str) {
-        unsafe { string_push(self, s.as_ptr(), s.len()) }
+        self.push_bytes(s.as_bytes());
+    }
+
+    /// Appends arbitrary bytes onto the end of this C++ string.
+    pub fn push_bytes(&mut self, bytes: &[u8]) {
+        unsafe { string_push(self, bytes.as_ptr(), bytes.len()) }
     }
 }
 

